Index: /trunk/SophyaLib/SysTools/smakefile
===================================================================
--- /trunk/SophyaLib/SysTools/smakefile	(revision 2764)
+++ /trunk/SophyaLib/SysTools/smakefile	(revision 2765)
@@ -11,14 +11,12 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)cexpre.o: cexpre.cc \
-  $(SOPHYAINCP)sopnamsp.h cexpre.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)cexpre.o: cexpre.cc $(SOPHYAINCP)sopnamsp.h \
+  cexpre.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cexpre.cc
  
 $(SOPHYAOBJP)commander.o: commander.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  commander.h \
+  $(SOPHYAINCP)sopnamsp.h commander.h \
   $(SOPHYAINCP)machdefs.h pdlmgr.h \
   $(SOPHYAINCP)dvlist.h \
@@ -33,62 +31,50 @@
   $(SOPHYAINCP)mutyv.h ctimer.h \
   $(SOPHYAINCP)strutil.h \
-  $(SOPHYAINCP)strutilxx.h \
-  cexpre.h rpneval.h \
-  $(SOPHYAINCP)srandgen.h \
-  zthread.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)strutilxx.h cexpre.h rpneval.h \
+  $(SOPHYAINCP)srandgen.h zthread.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  commander.cc
  
-$(SOPHYAOBJP)ctimer.o: ctimer.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)ctimer.o: ctimer.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h ctimer.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ctimer.cc
  
 $(SOPHYAOBJP)cxxcmplnk.o: cxxcmplnk.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  cxxcmplnk.h \
+  $(SOPHYAINCP)sopnamsp.h cxxcmplnk.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cxxcmplnk.cc
  
-$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)sopnamsp.h pdlmgr.h
-	$(CXXCOMPILELIB) -o $@ $<
+$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc $(SOPHYAINCP)sopnamsp.h \
+  pdlmgr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pdlmgr.cc
  
 $(SOPHYAOBJP)periodic.o: periodic.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  periodic.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)machdefs.h periodic.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  periodic.cc
  
 $(SOPHYAOBJP)psighand.o: psighand.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  psighand.h \
+  $(SOPHYAINCP)sopnamsp.h psighand.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  psighand.cc
  
 $(SOPHYAOBJP)resusage.o: resusage.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  resusage.h \
+  $(SOPHYAINCP)sopnamsp.h resusage.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  resusage.cc
  
-$(SOPHYAOBJP)rpneval.o: rpneval.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  rpneval.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)rpneval.o: rpneval.cc $(SOPHYAINCP)sopnamsp.h \
+  rpneval.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)strutilxx.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rpneval.cc
  
-$(SOPHYAOBJP)zthread.o: zthread.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  zthread.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)zthread.o: zthread.cc $(SOPHYAINCP)sopnamsp.h \
+  zthread.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  zthread.cc
  
 $(SOPHYAOBJP)timing.o: timing.c timing.h
-	$(CCOMPILE) -o $@ $<
+	$(CCOMPILE) -o $@  timing.c
  
Index: /trunk/SophyaLib/TArray/Makefile
===================================================================
--- /trunk/SophyaLib/TArray/Makefile	(revision 2764)
+++ /trunk/SophyaLib/TArray/Makefile	(revision 2765)
@@ -11,9 +11,7 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)basarr.o: basarr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)basarr.o: basarr.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  basarr.h \
+  $(SOPHYAINCP)pexceptions.h basarr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
@@ -25,8 +23,7 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basarr.cc
  
-$(SOPHYAOBJP)fioarr.o: fioarr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)fioarr.o: fioarr.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
@@ -38,18 +35,14 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  fioarr.h tarray.h basarr.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)anydataobj.h fioarr.h tarray.h \
+  basarr.h $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h utilarr.h \
-  tmatrix.h tvector.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)objfio.h utilarr.h tmatrix.h \
+  tvector.h $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fioarr.cc
  
-$(SOPHYAOBJP)matharr.o: matharr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  matharr.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)matharr.o: matharr.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h matharr.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
@@ -61,13 +54,10 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  matharr.cc
  
-$(SOPHYAOBJP)sopemtx.o: sopemtx.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  sopemtx.h tmatrix.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)sopemtx.o: sopemtx.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h sopemtx.h tmatrix.h \
+  tarray.h basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
@@ -79,15 +69,12 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h tvector.h \
-  $(SOPHYAINCP)smathconst.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h \
+  tvector.h $(SOPHYAINCP)smathconst.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sopemtx.cc
  
-$(SOPHYAOBJP)tarray.o: tarray.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tarray.o: tarray.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pexceptions.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
@@ -98,15 +85,12 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tarray.cc
  
 $(SOPHYAOBJP)tarrinit.o: tarrinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  fioarr.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h fioarr.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
@@ -118,12 +102,50 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h tmatrix.h tvector.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h \
+  tmatrix.h tvector.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tarrinit.cc
  
-$(SOPHYAOBJP)tmatrix.o: tmatrix.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tmatrix.o: tmatrix.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h tmatrix.h \
+  tarray.h basarr.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmatrix.cc
+ 
+$(SOPHYAOBJP)toeplitzMatrix.o: toeplitzMatrix.cc \
+  $(SOPHYAINCP)sopnamsp.h toeplitzMatrix.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)timing.h array.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h utilarr.h \
+  tmatrix.h tvector.h matharr.h fioarr.h sopemtx.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fftpserver.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  toeplitzMatrix.cc
+ 
+$(SOPHYAOBJP)tvector.o: tvector.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h tvector.h \
   tmatrix.h tarray.h basarr.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -136,57 +158,11 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tvector.cc
  
-$(SOPHYAOBJP)toeplitzMatrix.o: toeplitzMatrix.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  toeplitzMatrix.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)timing.h array.h \
-  tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)utilarr.o: utilarr.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h utilarr.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h tmatrix.h tvector.h matharr.h fioarr.h sopemtx.h \
-  $(SOPHYAINCP)fftservintf.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)fftpserver.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)srandgen.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  utilarr.cc
  
-$(SOPHYAOBJP)tvector.o: tvector.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  tvector.h tmatrix.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)utilarr.o: utilarr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  utilarr.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
Index: /trunk/SophyaLib/TArray/smakefile
===================================================================
--- /trunk/SophyaLib/TArray/smakefile	(revision 2764)
+++ /trunk/SophyaLib/TArray/smakefile	(revision 2765)
@@ -11,9 +11,7 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)basarr.o: basarr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)basarr.o: basarr.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  basarr.h \
+  $(SOPHYAINCP)pexceptions.h basarr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
@@ -25,8 +23,7 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basarr.cc
  
-$(SOPHYAOBJP)fioarr.o: fioarr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)fioarr.o: fioarr.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
@@ -38,18 +35,14 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  fioarr.h tarray.h basarr.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)anydataobj.h fioarr.h tarray.h \
+  basarr.h $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h utilarr.h \
-  tmatrix.h tvector.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)objfio.h utilarr.h tmatrix.h \
+  tvector.h $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fioarr.cc
  
-$(SOPHYAOBJP)matharr.o: matharr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  matharr.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)matharr.o: matharr.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h matharr.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
@@ -61,13 +54,10 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  matharr.cc
  
-$(SOPHYAOBJP)sopemtx.o: sopemtx.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  sopemtx.h tmatrix.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)sopemtx.o: sopemtx.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h sopemtx.h tmatrix.h \
+  tarray.h basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
@@ -79,15 +69,12 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h tvector.h \
-  $(SOPHYAINCP)smathconst.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h \
+  tvector.h $(SOPHYAINCP)smathconst.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sopemtx.cc
  
-$(SOPHYAOBJP)tarray.o: tarray.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tarray.o: tarray.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pexceptions.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
@@ -98,15 +85,12 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tarray.cc
  
 $(SOPHYAOBJP)tarrinit.o: tarrinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  fioarr.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h fioarr.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
@@ -118,12 +102,50 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h tmatrix.h tvector.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h \
+  tmatrix.h tvector.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tarrinit.cc
  
-$(SOPHYAOBJP)tmatrix.o: tmatrix.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tmatrix.o: tmatrix.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h tmatrix.h \
+  tarray.h basarr.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmatrix.cc
+ 
+$(SOPHYAOBJP)toeplitzMatrix.o: toeplitzMatrix.cc \
+  $(SOPHYAINCP)sopnamsp.h toeplitzMatrix.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)timing.h array.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h utilarr.h \
+  tmatrix.h tvector.h matharr.h fioarr.h sopemtx.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fftpserver.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  toeplitzMatrix.cc
+ 
+$(SOPHYAOBJP)tvector.o: tvector.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h tvector.h \
   tmatrix.h tarray.h basarr.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -136,57 +158,11 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tvector.cc
  
-$(SOPHYAOBJP)toeplitzMatrix.o: toeplitzMatrix.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  toeplitzMatrix.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)timing.h array.h \
-  tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)utilarr.o: utilarr.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h utilarr.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h tmatrix.h tvector.h matharr.h fioarr.h sopemtx.h \
-  $(SOPHYAINCP)fftservintf.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)fftpserver.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)srandgen.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  utilarr.cc
  
-$(SOPHYAOBJP)tvector.o: tvector.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  tvector.h tmatrix.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)utilarr.o: utilarr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  utilarr.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
Index: /trunk/SophyaPI/PIGcont/Makefile
===================================================================
--- /trunk/SophyaPI/PIGcont/Makefile	(revision 2764)
+++ /trunk/SophyaPI/PIGcont/Makefile	(revision 2765)
@@ -13,6 +13,5 @@
 $(SOPHYAOBJP)picntools.o: picntools.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  picntools.h \
+  $(SOPHYAINCP)machdefs.h picntools.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pistdwdgx.h \
@@ -50,6 +49,5 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h \
-  pigncont.h \
+  $(SOPHYAINCP)picmapview.h pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -94,8 +92,7 @@
   $(SOPHYAINCP)piscdrawwdg.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  gp_contour.h gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h \
-  gp_alloc.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ntupintf.h gp_contour.h \
+  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  picntools.cc
  
 $(SOPHYAOBJP)pigncont.o: pigncont.cc \
@@ -161,6 +158,5 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h \
-  pigncont.h \
+  $(SOPHYAINCP)picmapview.h pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -193,17 +189,16 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h \
-  $(SOPHYAINCP)piscdrawwdg.h \
-  gp_contour.h gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h \
-  gp_alloc.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)piscdrawwdg.h gp_contour.h \
+  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigncont.cc
  
 $(SOPHYAOBJP)gp_alloc.o: gp_alloc.c gp_alloc.h gp_graph3d.h gp_types.h gpc_misc.h
-	$(CCOMPILE) -o $@ $<
+	$(CCOMPILE) -o $@  gp_alloc.c
  
 $(SOPHYAOBJP)gp_axis.o: gp_axis.c gp_axis.h gpc_misc.h
-	$(CCOMPILE) -o $@ $<
+	$(CCOMPILE) -o $@  gp_axis.c
  
 $(SOPHYAOBJP)gp_contour.o: gp_contour.c gp_contour.h gp_types.h gpc_misc.h \
   gp_dynarray.h gp_graph3d.h gp_alloc.h gp_axis.h
-	$(CCOMPILE) -o $@ $<
- 
+	$(CCOMPILE) -o $@  gp_contour.c
+ 
Index: /trunk/SophyaPI/PIGcont/smakefile
===================================================================
--- /trunk/SophyaPI/PIGcont/smakefile	(revision 2764)
+++ /trunk/SophyaPI/PIGcont/smakefile	(revision 2765)
@@ -13,6 +13,5 @@
 $(SOPHYAOBJP)picntools.o: picntools.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  picntools.h \
+  $(SOPHYAINCP)machdefs.h picntools.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pistdwdgx.h \
@@ -50,6 +49,5 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h \
-  pigncont.h \
+  $(SOPHYAINCP)picmapview.h pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -94,8 +92,7 @@
   $(SOPHYAINCP)piscdrawwdg.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  gp_contour.h gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h \
-  gp_alloc.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ntupintf.h gp_contour.h \
+  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  picntools.cc
  
 $(SOPHYAOBJP)pigncont.o: pigncont.cc \
@@ -161,6 +158,5 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h \
-  pigncont.h \
+  $(SOPHYAINCP)picmapview.h pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -193,17 +189,16 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h \
-  $(SOPHYAINCP)piscdrawwdg.h \
-  gp_contour.h gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h \
-  gp_alloc.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)piscdrawwdg.h gp_contour.h \
+  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigncont.cc
  
 $(SOPHYAOBJP)gp_alloc.o: gp_alloc.c gp_alloc.h gp_graph3d.h gp_types.h gpc_misc.h
-	$(CCOMPILE) -o $@ $<
+	$(CCOMPILE) -o $@  gp_alloc.c
  
 $(SOPHYAOBJP)gp_axis.o: gp_axis.c gp_axis.h gpc_misc.h
-	$(CCOMPILE) -o $@ $<
+	$(CCOMPILE) -o $@  gp_axis.c
  
 $(SOPHYAOBJP)gp_contour.o: gp_contour.c gp_contour.h gp_types.h gpc_misc.h \
   gp_dynarray.h gp_graph3d.h gp_alloc.h gp_axis.h
-	$(CCOMPILE) -o $@ $<
- 
+	$(CCOMPILE) -o $@  gp_contour.c
+ 
